function [ leafstatus ] = genSegleaf( low_seg_node,low_depth,thresvalue )

low_seg_node_raw = low_seg_node;
[lrow,lcol] = size(low_seg_node);
[jlist,klist] = find(low_seg_node>0);
segindex=unique(low_seg_node);
for i=2:1:numel(segindex)
    low_seg_node(low_seg_node_raw==segindex(i))=i-1;
end

segscore1 = zeros((numel(segindex)-1)*(numel(segindex)-1));
segscore2 = zeros((numel(segindex)-1)*(numel(segindex)-1));
for jiter = 1:1:numel(jlist)
    j=jlist(jiter);
        k=klist(jiter);
        if j < lrow && low_seg_node(j,k)>0 && low_seg_node(j+1,k)>0
            if low_seg_node(j,k)~=low_seg_node(j+1,k)
                segscore1(low_seg_node(j,k),low_seg_node(j+1,k))=segscore1(low_seg_node(j,k),low_seg_node(j+1,k))+1*exp(min(abs(low_depth(j,k)-low_depth(j+1,k)),1*thresvalue)/thresvalue);
                segscore2(low_seg_node(j,k),low_seg_node(j+1,k))=segscore2(low_seg_node(j,k),low_seg_node(j+1,k))+1*(exp(1)-exp(min(abs(low_depth(j,k)-low_depth(j+1,k)),1*thresvalue)/thresvalue));
%                 segscore1(low_seg_node(j,k),low_seg_node(j+1,k))=segscore1(low_seg_node(j,k),low_seg_node(j+1,k))+1*(min(abs(low_depth(j,k)-low_depth(j+1,k)),thresvalue)/thresvalue)^0.1;
%                 segscore2(low_seg_node(j,k),low_seg_node(j+1,k))=segscore2(low_seg_node(j,k),low_seg_node(j+1,k))+1*(1-(min(abs(low_depth(j,k)-low_depth(j+1,k)),thresvalue)/thresvalue)^0.1);
               
            end
        end
        if k < lcol && low_seg_node(j,k)>0 && low_seg_node(j,k+1)>0
            if low_seg_node(j,k)~=low_seg_node(j,k+1)
                segscore1(low_seg_node(j,k),low_seg_node(j,k+1)) = segscore1(low_seg_node(j,k),low_seg_node(j,k+1))+1*exp(min(abs(low_depth(j,k)-low_depth(j,k+1)),1*thresvalue)/thresvalue);
                segscore2(low_seg_node(j,k),low_seg_node(j,k+1)) = segscore2(low_seg_node(j,k),low_seg_node(j,k+1))+1*(exp(1)-exp(min(abs(low_depth(j,k)-low_depth(j,k+1)),1*thresvalue)/thresvalue));
%                 segscore1(low_seg_node(j,k),low_seg_node(j,k+1))=segscore1(low_seg_node(j,k),low_seg_node(j,k+1))+1*(min(abs(low_depth(j,k)-low_depth(j,k+1)),thresvalue)/thresvalue)^0.1;
%                 segscore2(low_seg_node(j,k),low_seg_node(j,k+1))=segscore2(low_seg_node(j,k),low_seg_node(j,k+1))+1*(1-(min(abs(low_depth(j,k)-low_depth(j,k+1)),thresvalue)/thresvalue))^0.1;
            end
        end
end

leafstatus.divstatus=0;
if sum(sum(segscore1))<=sum(sum(segscore2))
    leafstatus.divstatus=1;
    for i=1:1:numel(segindex)-1
        for j=1:1:i-1
            segscore1(i,j)=segscore1(i,j)+segscore1(j,i);
            segscore1(j,i)=0;
            segscore2(i,j)=segscore2(i,j)+segscore2(j,i);
            segscore2(j,i)=0;
            segscore=segscore1-segscore2;
            if max(max(segscore))>0
                [ind1,ind2]=find(segscore==max(max(segscore)));
                indscore1=0;
                indscore2=0;
                for k=1:1:numel(segindex)-1
                    indscore1=indscore1+segscore2(k,ind1(1))+segscore2(ind1(1),k);
                    indscore2=indscore2+segscore2(k,ind2(1))+segscore2(ind2(1),k);
                end
                if indscore1<indscore2
                    leafstatus.divseg=segindex(ind1(1)+1);
                else
                    leafstatus.divseg=segindex(ind2(1)+1);
                end
                leafstatus.divstatus=2;
            end
        end
    end
end

end
